from .mydb import MyDB

class LotteryResult:
  def __init__(self,
               # 类型
               lotteryType,

               # 期数
               issueNo,

               # 号码
               result
               ):
    self.lotteryType = lotteryType
    self.issueNo = issueNo
    self.result = result

  def persist(self):
    cursor = MyDB.getCursor()
    if cursor is None:
      return

    query = "select count(*) from ta_crawl_lottery_result where lottery_type = %s and issue_no = %s and status = 1"
    cursor.execute(query,[self.lotteryType, self.issueNo])
    res = cursor.fetchone()
    if res[0] > 0:
      return

    sql = "insert into ta_crawl_lottery_result(lottery_type, issue_no, result) values(%s, %s, %s)"
    cursor.execute(sql, [self.lotteryType, self.issueNo, self.result])
    MyDB.commit()
    cursor.close()
