import scrapy

from crawl.comm.lottery import LotteryResult


class LotterySpider(scrapy.Spider):
  name = "lottery"

  def start_requests(self):
    url = "https://www.lottery.gov.cn/tz_kj.json"
    yield scrapy.Request(url, self.parseLottery)

    # 福彩
    url = "http://www.cwl.gov.cn/cwl_admin/kjxx/findDrawNotice"
    # 双色球
    yield scrapy.Request(url + "?name=ssq&issueCount=1", self.parseDraw)

  # 体彩
  def parseLottery(self, response):
    data = response.json()
    data = data[0]

    # 大乐透
    key = 'dlt'
    typ = 'lottery'
    LotteryResult(
      typ,
      data[key]['term'],
      '|'.join(data[key]['numberCode'])
    ).persist()

    # 排列三
    key = 'pls'
    typ = 'p3'
    LotteryResult(
      typ,
      data[key]['term'],
      '|'.join(data[key]['numberCode'])
    ).persist()

    # 排列五w
    key = 'plw'
    typ = 'p5'
    LotteryResult(
      typ,
      data[key]['term'],
      '|'.join(data[key]['numberCode'])
    ).persist()

  # 福彩 - 双色球
  def parseDraw(self, response):
    data = response.json()
    result = data['result'][0]

    typ = 'double-color'
    LotteryResult(
      typ,
      result['code'],
      '|'.join(result['red'].split(',') + [result['blue']])
    ).persist()
